obfus=../../../bin/perl-obfus
obfuscmd=perl $(obfus)

toguard=to-be-guarded.pl
inputs=assertion-no-working-on-sundays.pl assertion-require-inet-connection.pl \
    $(toguard)
    

all: \
 output/to-be-guarded-assertion-no-working-on-sundays-ENCODED.pl \
 output/to-be-guarded-assertion-no-working-on-sundays-NONENCODED.pl \
 output/to-be-guarded-assertion-require-inet-connection-ENCODED.pl \
 output/to-be-guarded-assertion-require-inet-connection-NONENCODED.pl 

clean:
	rm -f output/*; true

output/to-be-guarded-assertion-no-working-on-sundays-ENCODED.pl: $(inputs)
	$(obfuscmd) -e 10 -o $@ $(toguard) -G from-file,filename=assertion-no-working-on-sundays.pl

output/to-be-guarded-assertion-no-working-on-sundays-NONENCODED.pl: $(inputs)
	$(obfuscmd) -e 0 -o $@ $(toguard) -G from-file,filename=assertion-no-working-on-sundays.pl

output/to-be-guarded-assertion-require-inet-connection-ENCODED.pl: $(inputs)
	$(obfuscmd) -e 10 -o $@ $(toguard) -G from-file,filename=assertion-require-inet-connection.pl

output/to-be-guarded-assertion-require-inet-connection-NONENCODED.pl: $(inputs)
	$(obfuscmd) -e 0 -o $@ $(toguard) -G from-file,filename=assertion-require-inet-connection.pl

